<!-- <app-home></app-home> -->
<!-- <app-header></app-header> -->
<!-- <br/><br/><br/><br/> -->
<form #form="ngForm" (submit)="onSubmit(form)" autocomplete="off">
  <div class="container">
    <div class="row">
      <div class="col-sm-9 col-md-7 col-lg-25 mx-auto">
        <div class="card card-signin my-5">
          <div class="card-body">
            <h3 class="card-title text-center">Register For Event</h3>
            <br/>
            <!-- <div>
                      <label>Beneficiary Name</label>
                      <input type="text" name="beneficiaryName" #beneficiaryName="ngModel"  class="form-control" [ngModel]="lstEventDetails.beneficiaryName" (ngModelChange) ="newData($event)"/>
{{lstEventDetails.beneficiaryName}}
                   <br/>
                   </div> 
                   <div>
                      <label>Council Name</label>
                      <input type="dropdown" name="councilName" class="form-control" #councilName="ngModel" [ngModel]="lstEventDetails.councilName"/>
                   <br/>
                   </div>
                   <div>
                      <label>Project</label>
                      <input type="dropdown" name="projectName" class="form-control" #projectName="ngModel" [ngModel]="lstEventDetails.projectName"/>
                   <br/>
                   </div>
                   <div>
                      <label>Event Category</label>
                      <input type="dropdown" name="eventCategory" class="form-control" #eventCategory="ngModel" [ngModel]="lstEventDetails.eventCategory"/>
                   <br/>
                   </div>-->
                   <div>
                      <label>Event Name</label>
                      <input type="text" name="eventName" class="form-control" required #eventName="ngModel" [ngModel]="lstEventDetails[0].eventName"/>
                   <br/>
                   </div>
                   <div>
                      <label>Event Description</label>
                      <input type="text" name="eventDescription" class="form-control" #eventDescription="ngModel" [ngModel]="lstEventDetails[0].eventDescription"/>
                   <br/>
                  </div>
                   <div>
                      <label>Date in dd-mmm-yy</label>
                      <input type="text" name="eventDate" class="form-control" #eventDate="ngModel" [ngModel]="lstEventDetails[0].eventDate | date: 'dd-MM-yyyy'"/>
                   <br/>
                  </div>           
                  <div>
                      <label>Start Time</label>
                      <input type="time" name="startTime" class="form-control" #startTime="ngModel" [ngModel]="lstEventDetails[0].startTime"/>
                   <br/>
                   </div>
                   <div>
                      <label>End Time</label>
                      <input type="time" name="endTime" class="form-control" #endTime="ngModel" [ngModel]="lstEventDetails[0].endTime"/>
                   <br/>
                   </div>
                   <div>
                      <label>Location</label>
                      <input type="dropdown" name="locationName" class="form-control" #locationName="ngModel" [ngModel]="lstEventDetails[0].locationName"/>
                   <br/>
                   </div>
                   <div class=".d-none">
                    <label>Event Id</label>
                    <input type="text" name="eventId" class="form-control" #eventId="ngModel" [ngModel]="lstEventDetails[0].eventId"/>
                 <br/>
                 </div>
                   <!-- <div>
                      <label>POC ID</label>
                      <input type="dropdown" name="pocId" class="form-control" #pocId="ngModel" [ngModel]="lstEventDetails.pocId"/>
                   <br/>
                   </div> -->
            <!-- <div>
                    <label>Business Unit</label>
                    <input type="dropdown" name="businessUnitId" class="form-control" #businessUnitId="ngModel" [ngModel]="_freeApiService.eventRegistration[0].businessUnitId" (ngModelChange) ="newData($event)"/>
                 <br/>
                 </div>
                
                   <div>
                    <label>Associate ID</label>
                    <input type="text" name="employeeID" class="form-control" #employeeID="ngModel" [ngModel]="_freeApiService.eventRegistration[0].employeeId" (ngModelChange) ="newData($event)"/>
                 <br/>
                 </div>
                 <div>
                  <label>Associate Name</label>
                  <input type="text" name="employeeName" class="form-control" #employeeName="ngModel" [ngModel]="_freeApiService.eventRegistration[0].employeeName" (ngModelChange) ="newData($event)"/>
               <br/>
               </div>
               <div>
                <label>Contact Number</label>
                <input type="text" name="contactNumber" class="form-control" #contactNumber="ngModel" [ngModel]="_freeApiService.eventRegistration[0].contactNumber" (ngModelChange) ="newData($event)"/>
             <br/>
             </div>
             <div>
              <label>Email</label>
              <input type="text" name="emailId" class="form-control" #emailId="ngModel" [ngModel]="_freeApiService.eventRegistration[0].email"/>
           <br/>
           </div>
                   <br/>
                  <div class="form-group">
                      <button class="col-lg-6 btn btn-lg btn-primary btn-block text-uppercase"  [disabled]="form.invalid">Create</button>
                  </div>
                  <div class="alert alert-dismissible alert-success" *ngIf="showMsg">
                      <button type="button" class="close" data-dismiss="alert">&times;</button>
                      <strong>You have successfully registered for the event!!!</strong> 
                      <!-- <a href="#" class="alert-link">this important alert message</a>. 
                    </div>
              </div>-->
              <div>
                <label>Business Unit</label>
                <input type="text" list="businessUnit" name="businessUnit" (change)="onBusinessUnitChange($event)" class="form-control" [ngModel]="_freeApiService.registrationDetails?.businessUnit"
                (ngModelChange)="newData($event)"
                />
  
                <datalist id="businessUnit">
                  <option *ngFor="let businessUnit of businessUnits">{{businessUnit.BusinessUnitName}}</option>
                </datalist>
                <br/>
              </div>
  
              <div>
                <div *ngIf="transportTypeId === 2">
                  <label>Transport Boarding Points </label>
                  <input type="dropdown" name="BoardingPoint" class="form-control" #BoardingPoint="ngModel" [ngModel]="_freeApiService.eventRegistration?.boardingPoint"
                  />
                  <br/>
                </div>
                
                <div>
                  <div *ngIf="transportTypeId === 2">
                    <label>Transport Drop Points </label>
                    <input type="dropdown" name="DropPoint" class="form-control" #DropPoint="ngModel" [ngModel]="_freeApiService.eventRegistration?.dropPoint"
                    />
                    <br/>
                  </div>
                </div>
              </div>
  
            <!-- </div> -->
            <div>
              <label>Associate ID</label>
              <input type="text" name="employeeID" class="form-control" #employeeID="ngModel" [ngModel]="_freeApiService.eventRegistration?.employeeId"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
            <div>
              <label>Associate Name</label>
              <input type="text" name="employeeName" class="form-control" #employeeName="ngModel" [ngModel]="_freeApiService.eventRegistration?.employeeName"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
            <div>
              <label>Contact Number</label>
              <input type="text" name="contactNumber" class="form-control" #contactNumber="ngModel" [ngModel]="_freeApiService.eventRegistration?.contactNumber"
                (ngModelChange)="newData($event)" />
              <br/>
            </div>
            <div>
              <label>Email</label>
              <input type="text" name="emailId" class="form-control" #emailId="ngModel" [ngModel]="_freeApiService.eventRegistration?.email"
              />
              <br/>
            </div>
            <br/>
            <div class="form-group">
              <button class="col-lg-6 btn btn-lg btn-primary btn-block text-uppercase" [disabled]="form.invalid">Create</button>
            </div>
            <div class="alert alert-dismissible alert-success" *ngIf="showMsg">
              <button type="button" class="close" data-dismiss="alert">&times;</button>
              <strong>You have successfully registered for the event!!!</strong>
              <!-- <a href="#" class="alert-link">this important alert message</a>. -->
            </div>
          </div>

        </div>

      </div>

    </div>
  </div>
</form>